<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:54 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Hexagon (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Hexagon (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Hexagon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/Hexagon.html" target="_top">Frames</a></li>
<li><a href="Hexagon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.board</div>
<h2 title="Class Hexagon" class="title">Class Hexagon</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.board.Hexagon</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Hexagon</span>
extends java.lang.Object</pre>
<div class="block">This class represents a hexagon field on a hexagon board.
 It helps to calculate the coordinates of the hexagon's neighbours as well as to find positions located
 on some particular distance in a given direction from the current hexagon.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>15-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Anastasiia Kysliak</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#x">x</a></span></code>
<div class="block">The current coordinates.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#y">y</a></span></code>
<div class="block">The current coordinates.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#Hexagon-towerwarspp.board.Hexagon-">Hexagon</a></span>(<a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board">Hexagon</a>&nbsp;coordinates)</code>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class with the same coordinates as the given <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#Hexagon-int-int-">Hexagon</a></span>(int&nbsp;x,
       int&nbsp;y)</code>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class with the given x- and y-coordinates.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#Hexagon-towerwarspp.preset.Position-">Hexagon</a></span>(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class using the coordinates stored in the given <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#add-towerwarspp.board.Hexagon-">add</a></span>(<a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board">Hexagon</a>&nbsp;other)</code>
<div class="block">Adds the coordinates of the other haxagon to the x- and y-coordinates stored in this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#getX--">getX</a></span>()</code>
<div class="block">Returns the current x-coordinate.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#getY--">getY</a></span>()</code>
<div class="block">Returns the current y-coordinate.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/Hexagon.html#scale-int-">scale</a></span>(int&nbsp;scale)</code>
<div class="block">Multiplies the coordinates of this haxagon with the given scale.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="x">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>x</h4>
<pre>private&nbsp;int x</pre>
<div class="block">The current coordinates.</div>
</li>
</ul>
<a name="y">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>y</h4>
<pre>private&nbsp;int y</pre>
<div class="block">The current coordinates.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Hexagon-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Hexagon</h4>
<pre>public&nbsp;Hexagon(int&nbsp;x,
               int&nbsp;y)</pre>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class with the given x- and y-coordinates.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x-coordinate.</dd>
<dd><code>y</code> - the y-coordinate.</dd>
</dl>
</li>
</ul>
<a name="Hexagon-towerwarspp.board.Hexagon-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Hexagon</h4>
<pre>public&nbsp;Hexagon(<a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board">Hexagon</a>&nbsp;coordinates)</pre>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class with the same coordinates as the given <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>coordinates</code> - another haxagon whose x- and y-coordinates will be copied for this object.</dd>
</dl>
</li>
</ul>
<a name="Hexagon-towerwarspp.preset.Position-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Hexagon</h4>
<pre>public&nbsp;Hexagon(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</pre>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class using the coordinates stored in the given <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - position whose letter and number values will be stored as x- and y-coordinates in this object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getX</h4>
<pre>public&nbsp;int&nbsp;getX()</pre>
<div class="block">Returns the current x-coordinate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current x-coordinate.</dd>
</dl>
</li>
</ul>
<a name="getY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getY</h4>
<pre>public&nbsp;int&nbsp;getY()</pre>
<div class="block">Returns the current y-coordinate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current y-coordinate.</dd>
</dl>
</li>
</ul>
<a name="add-towerwarspp.board.Hexagon-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board">Hexagon</a>&nbsp;other)</pre>
<div class="block">Adds the coordinates of the other haxagon to the x- and y-coordinates stored in this object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other <a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> object whose coordinates have to be added to the actual object's coordinates.</dd>
</dl>
</li>
</ul>
<a name="scale-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>scale</h4>
<pre>public&nbsp;void&nbsp;scale(int&nbsp;scale)</pre>
<div class="block">Multiplies the coordinates of this haxagon with the given scale.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scale</code> - the value which the actual haxagon's coordinates have to be multiplied with.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Hexagon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/Hexagon.html" target="_top">Frames</a></li>
<li><a href="Hexagon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
